# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2019-11-04 21:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('customers', '0001_initial'),
        ('infra', '0001_initial'),
        ('hr', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ServiceStatusLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'active'), (2, 'pending'), (3, 'inactive'), (4, 'not installed'), (5, 'exchange'), (6, 'install rejected'), (7, 'off-plan sale'), (8, 'delinquent'), (9, 'to reschedule'), (10, 'holder change'), (11, 'discarded'), (12, 'on hold'), (13, 'perdido, no se pudo retirar')])),
                ('node', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='infra.Node', verbose_name='node')),
                ('seller', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.Seller', verbose_name='seller')),
                ('service', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.Service', verbose_name='service')),
                ('technician', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='hr.Technician', verbose_name='technician')),
            ],
        ),
        migrations.CreateModel(
            name='ServiceSumSnapshot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateField(default=django.utils.timezone.now)),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'active'), (2, 'pending'), (3, 'inactive'), (4, 'not installed'), (5, 'exchange'), (6, 'install rejected'), (7, 'off-plan sale'), (8, 'delinquent'), (9, 'to reschedule'), (10, 'holder change'), (11, 'discarded'), (12, 'on hold'), (13, 'perdido, no se pudo retirar')])),
                ('count', models.PositiveIntegerField(default=0)),
            ],
        ),
    ]
